# Шығарылымға шолу

1.14.0 нұсқасынан бастап, біз шығарылым туралы жазбаларды AppData файлы арқылы ұсынамыз. Осылайша, қолданбалар дүкендері (мысалы, GNOME Software) пайдаланушыларға шығарылым туралы жазбаларды көрсете алады.

Адам оқи алатын мәтіндік нәтижені келесі команда арқылы оңай алуға болады:

`appstream-util appdata-to-news /usr/share/metainfo/org.gnome.gnome-commander.appdata.xml`

Нұсқа | Шығарылған күні | Не жаңалық
--- | --- | ---

1.14.0

2022-02-05

Қателерді түзету:

- #3 мәселе түзетілді (Commander іске қосылып тұрғанда жалғанған құрылғылар байқалмайтын)

- #5 мәселе түзетілді (Файлдарды көшіру кезінде «Follow Links» опциясы жұмыс істемейтін)

- #13 мәселе түзетілді (Көшіру кезінде бума өлшемі жаңартылмайтын)

- #16 мәселе түзетілді (Start-left-dir «.» (нүкте бумасы) үшін жұмыс істемейтін)

- #19 мәселе түзетілді (FTP байланыстары дұрыс жабылмайтын)

- #28 мәселе түзетілді (FTP серверінде барлық пайдаланушыларға жазу рұқсаттары берілетін)

- #33 мәселе түзетілді (Ескірген gnome-vfs-тен бас тарту)

- #39 мәселе түзетілді («Дискіні» таңдаған кезде көшіру сәтсіз аяқталатын)

- #41 мәселе түзетілді (Бума аты өзгертілген кезде кэштен дұрыс өшірілмейтін)

- #45 мәселе түзетілді (\\xxx\dddddd түріндегі SMB жолын шерткенде Gnome Commander жабылып қалатын)

- #46 мәселе түзетілді (Бума мазмұнын автоматты жаңарту дұрыс жұмыс істемейтін)

- #47 мәселе түзетілді (Бар буманың үстіне көшіргенде бума қайталанатын)

- #51 мәселе түзетілді (Бір файлдық жүйеде бастапқыда көшіру емес, жылжыту орындалатын)

- #52 мәселе түзетілді (Рұқсаттарды және т.б. өзгерткенде автоматты жаңарту)

- #57 мәселе түзетілді (Қашықтағы байланыстар: Gnome Commander файл иесін қате оқитын)

- #59 мәселе түзетілді (ssh байланысында аты өзгертілген буманы/файлды өшіру жұмыс істемейтін)

- #74 мәселе түзетілді (Тіркелген сыртқы дискілер көрсетілмейтін)

- #75 мәселе түзетілді (Жаңадан салынған DVD көрсетілмейтін)

- #76 мәселе түзетілді (webDAV SSL пайдаланғанда Gnome Commander-дегі критикалық қате)

- #107 мәселе түзетілді (Командалық жолды қате өңдеу)

- #115 мәселе түзетілді (flex жоқ болса, autogen-де қате шықпайтын)

Жаңа мүмкіндіктер:

- Файлдарды тышқанмен сүйреп апарғанда таңдалатын бастапқы әрекет

- Файлды біржола өшірудің орнына қоқыс шелегін пайдалану мүмкіндігі (#2 мәселені қараңыз)

- Ішкі файл іздеу сұхбат терезесі өшірілді, оның орнына файл іздеу үшін сыртқы команда қолданылады

- Қосылған қашықтағы сервердің аты бума индикаторында көрсетіледі (#71 мәселені қараңыз)

- Тек файлдарды таңдауға немесе таңдауды болдырмауға арналған жаңа мәзір тармағы

- Әзірлеушілер тізімі: Uwe Scholz, Mamoru Tasaka, Andrey Sokolov, Maik Pertermann, Philipp Kiemle

- Жаңа немесе жаңартылған аудармалар: ca, cs, da, de, es, eu, fi, hu, id, pl, pt_BR, ro, ru, sl, sr, sv, tr, uk, zh_CN

- Жаңа немесе жаңартылған құжаттар: es, sv

1.12.3.1

2021-11-21

Қателерді түзету:

- #110 мәселе түзетілді (s390x-те тексеру сәтсіз аяқталатын, Mamoru Tasaka-ға рақмет)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: pl, sv, uk

- Жаңа немесе жаңартылған құжаттар: sv

1.12.3

2021-11-20

Қателерді түзету:

- #108 мәселе түзетілді (Файлды оң жақпен шерткеннен кейінгі критикалық қате)

- File-roller плагині: Орындау қателерін өңдеу қосылды (Andrey Sokolov-қа рақмет)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, de, hu, ru

- Жаңа немесе жаңартылған құжаттар: sv

1.12.2

2021-05-29

Қателерді түзету:

- #104 мәселе түзетілді (Ctrl+Right / Ctrl+Left / Ctrl+Shift+. пернелерін басқандағы сегменттеу қатесі)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: es, id, ro

- Жаңа немесе жаңартылған құжаттар: sv

1.12.1

2021-04-17

Қателерді түзету:

- #12 мәселе түзетілді (Бос емес буманы өшіру кезінде екінші рет сұрау)

- #97 мәселе түзетілді (Орындалатын файлдардың қалқымалы мәзірінде «Орындау» көрсетілмейтін)

- #98 мәселе түзетілді (Атында бос орны бар файлдарда «Орындау» жұмыс істемейтін)

- #55 мәселе түзетілді (Тема іске асырылғанда барлық беттерде өзгермейтін)

- #102 мәселе түзетілді (TagLib қолжетімсіз болғандағы компиляция қатесі)

- #103 мәселе түзетілді (Іздеуге бос жол берілгендегі критикалық қате)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: pl, pt_BR, sr, sv, uk

- Жаңа немесе жаңартылған құжаттар: sv

1.12.0

2021-03-25

Қателерді түзету:

- #95 мәселе түзетілді (InternalViewer: Суреттерді тышқанмен, тышқан дөңгелегімен немесе пернетақтадағы бағдаршалармен айналдыру)

- #96 мәселе түзетілді (Пернетақта арқылы файл/бума қасиеттерін ашқандағы сегменттеу қатесі)

Жаңа мүмкіндіктер:

- Файлдарды бастапқы қолданбамен ашу үшін Gnome-VFS орнына GIO қолданылады

- Файлдар тізімін сүзгілеу үшін және бағдарламаның басқа да бөліктерінде Gnome-VFS орнына GIO қолданылады

- Жаңа немесе жаңартылған аудармалар: ca, cs, da, de, eo, es, eu, fi, hu, id, kk, pl, pt_BR, ro, sl, sr, tr, uk

- Жаңа немесе жаңартылған құжаттар: cs, de, es, sv

1.10.3

2020-06-19

Қателерді түзету:

- #29 мәселе түзетілді (Ескірген GnomeFileEntry-ден GtkFileChooserButton-ға көшу)

- #34 мәселе түзетілді (Ескірген libgnome және libgnomeui кітапханаларынан бас тарту)

- #65 мәселе түзетілді (Іздеу опциялары: «файл атын көшіру» жұмыс істемейтін)

- Бастапқы жіберу командасы ретінде nautilus-sendto орнына xdg-email-ге ауысу

Жаңа мүмкіндіктер:

- InternalViewer: Файлдың метадеректер ақпаратын бастапқыда көрсету

- Жадты басқарудағы шағын жақсартулар

- Жаңа немесе жаңартылған аудармалар: cs, de, es, eu, id, id, pl, pt_BR, pt_BR, sv, uk

- Жаңа немесе жаңартылған құжаттар: cs, es

1.10.2

2019-05-16

Қателерді түзету:

- exiv2 0.27.1 нұсқасымен компиляция қатесі түзетілді (Mamoru Tasaka-ға рақмет)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған құжаттар: es

1.10.1

2019-05-12

Қателерді түзету:

- ...

- gnome-config сілтемелері өшірілді, bgo#570733 және GitLab-тағы #27 мәселе түзетілді

Жаңа мүмкіндіктер:

- ...

- Іздеу терезесін қалауыңызша жинап қоюға немесе негізгі терезенің астына жылжытуға болады

- Жаңа немесе жаңартылған аудармалар: ar, bg dz, de, en_CA, en_GB, es, ga, hr, hu, ne, pl, pt_BR, rw, sq, vi, zh_TW

- Жаңа немесе жаңартылған құжаттар: de, es

1.10.0

2019-03-31

Қателерді түзету:

- Компиляция кезіндегі түрлі ескертулер түзетілді

- Кодтағы бірнеше жақсартулар жасалып, жадтың жылыстауы түзетілді

Жаңа мүмкіндіктер:

- Gnome Commander таңбашасы мен ішкі қарау құралының таңбашасы жаңартылды

- Gnome Commander баптаулары енді «org.gnome.gnome-commander» кілтімен GSettings-ке толығымен көшірілді

- ~/.gnome2/gnome-commander және ~/.gnome-commander/* ішіндегі опциялар автоматты түрде көшіріледі

- ~/.gnome-commander ішіндегі скрипттер мен плагиндер бумасы ~/.config/gnome-commander ішіне жылжытылды

- Жаңа немесе жаңартылған аудармалар: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- Жаңа немесе жаңартылған құжаттар: cs, de, es, sv

1.8.1

2018-03-04

Қателерді түзету:

- Атында бос орны бар файлдарға арналған қарапайым скрипт жүйесі түзетілді

- bgo#785505 түзетілді: flex 2.6.4 нұсқасымен GCMD компиляциялау кезіндегі мәселе

Жаңа мүмкіндіктер:

- Опциялар сұхбат терезесі жабылған кезде оның өлшемін сақтау

- Опциялар сұхбат терезесінің беттерінен қажетсіз жиек сызықтарын алып тастау (Elijah-ға рақмет)

- Python қолдауы толығымен өшірілді

- Жаңа немесе жаңартылған аудармалар: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- Жаңа немесе жаңартылған құжаттар: cs, de, es

1.8.0

2017-08-10

Жаңа мүмкіндіктер:

- Жылдам іздеуді тек әріп теру арқылы іске қосуға болады, опциялар бетінде реттеледі

- Шыққан кезде командалық жол тарихын сақтау/сақтамау опциясы

- Шыққан кезде іздеу тарихын сақтау/сақтамау опциясы

- Команда аяқталған кезде терминал терезесі ашық қалу-қалмауын шешетін баптаулар опциясы қосылды

- [build] Енді gnome-autogen.sh қолданылмайды (Philip Withnall мен David King-ке үлкен рақмет)

- [build] Аудармалар енді intltool орнына негізгі gettext арқылы өңделеді

- [build] Жаңа құжаттама инфрақұрылымы: gnome-doc-utils орнына yelp-tools қолдану

Басқа өзгерістер:

- GTK ең төменгі нұсқасы 2.8.0-ден 2.18.0-ге дейін көтерілді

- Кодты тазалау

Қателерді түзету:

- [build] Енді құрастыру кезінде Python нұсқасы 3.x немесе одан жоғары болса да табылады

- Жаңа немесе жаңартылған аудармалар: ca, cs, de, eo, es, fi, hu, id, pl, pt_BR, sl, sr, sr@latin, sv

- Жаңа немесе жаңартылған құжаттар: cs, de, es

1.6.4

2017-05-28

Қателерді түзету:

- bgo#779574 мәселесі түзетілді (Басқа таңдаулы қолданбалардың баптаулары сақталмайтын)

- bgo#619112 мәселесі түзетілді (Ішкі қарау құралында бастапқыда қате кодтық парақтар көрсетілетін)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, de, eu, hu, id, pl, pt_BR, sr, sl@latin, sv

- Жаңа немесе жаңартылған құжаттар: cs, de, es

1.6.3

2017-02-26

Қателерді түзету:

- libunique (кейде тек «unique» деп аталады) енді configure опциясы арқылы таңдаулы болып табылады

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, es, pl, pt_BR, ru, sr, sl@latin

- Жаңа немесе жаңартылған құжаттар: cs, de, es

1.6.2

2016-11-06

Қателерді түзету:

- bgo#398734 мәселесі түзетілді (Тема түстерін пайдаланған кезде белгіленген файлдардың түсі өзгермейтін)

- Құрылғылар тізімі элементінің ені тізімдегі ең ұзын жолға тең етіп орнатылды

- METATAGS қолданған кездегі атын кеңейтілген өзгерту құралындағы қате түзетілді

Жаңа мүмкіндіктер:

- Егер құрылғылар тізімі көрсетілмесе, дискіден бос орын белгісі қалып-күй жолағында көрсетіледі (gcmd қайта іске қосылғаннан кейін жұмыс істейді)

- Жарлықты келесілерге тағайындауға болады:

  - Курсорды жоғары немесе төмен жылжыту («Курсорды бір қадам жоғары/төмен жылжыту»)

  - Ағымдағы құрылғының бетбелгілерін қарау («Ағымдағы құрылғының бетбелгілерін көрсету»)

- Жаңа немесе жаңартылған аудармалар: hu, de, pl, sr, sl@latin

- Жаңа немесе жаңартылған құжаттар: cs

1.6.1

2016-10-18

Қателерді түзету:

- bgo#638174 мәселесі түзетілді (Таңдамалы түстерді пайдаланған кезде таңдау фонының түсі қолданылмайтын)

- bgo#773063 мәселесі түзетілді (gcc6 -Werror=format-security арқылы компиляцияланады, Mamoru Tasaka-ға рақмет)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған құжаттар: cs

1.6.0

2016-10-04

Қателерді түзету:

- bgo#671616 мәселесі түзетілді (Тышқанның оң жақ қалқымалы мәзірі қате орында көрсетілетін, Puux-қа рақмет)

- bgo#683087 мәселесі түзетілді (Кейбір объектілердің қасиеттер терезесін ашқандағы критикалық қате, Puux-қа рақмет)

- bgo#742752 мәселесі түзетілді (Опциялар сұхбат терезесінің өлшемі өзгеретін болды және айналдыру жолақтары қосылды)

- AdvRenDialog арқылы аты өзгертілгеннен кейін фокусталған файлды сақтау (Martin Mocko-ға рақмет)

- bgo#767158 мәселесі түзетілді (Жайманы өзгерткеннен кейін жарлықтар жұмыс істемей қалатын)

- Амперсанд белгісі бар бумалар үшін жолдарды экрандау түзетілді (bgo#769309 қараңыз)

- bgo#770062 мәселесі түзетілді (GnomeCmdPlainPath-та жадтың жылыстауы, Eric-ке рақмет)

- bgo#770063 мәселесі түзетілді (get_string_pixel_size-да жадтың жылыстауы, Eric-ке рақмет)

Жаңа мүмкіндіктер:

- Опциялар сұхбат терезесінде әрқашан алдыңғы жабылған бетті қайта ашу

- Samba қолдауы енді configure опциясы арқылы таңдаулы түрде қолжетімді

- Файлдарды таңдаулы қолданбаға жіберуге арналған реттелетін команда

- «Файлдарды түзету» батырмасы бір уақытта бірнеше таңдалған файлды қабылдайды

- Құрылғы белсенді болып тұрғанда, құрылғы батырмалары мен құрылғылар тізімі элементтері сол құрылғы үшін «үй батырмалары» ретінде қызмет етеді

- Бума индикаторын оң жақпен шерткенде бума жолын алмасу буферіне көшіру (Puux-қа рақмет)

- Негізгі мәзірді көрсету/жасыру енді пернетақта жарлығы ретінде орнатылуы мүмкін (Puux-қа рақмет)

- Файлдардың контекстік мәзіріне арналған қарапайым плагин жүйесі (Puux-қа рақмет)

- «Көмегімен ашу» қалқымалы мәзірінде қолданба таңбашаларын көрсету (Puux-қа рақмет)

- Бетбелгі өзгерістерін дереу файлға жазу, барлық даналар арасында бетбелгілерді синхрондау (Puux-қа рақмет)

- Опцияларды сақтау енді gnome-config файлының орнына dconf дерекқорында орындалады (bgo#570733 қараңыз)

- Құрылғылар мен таңдаулы қолданбалар енді GKeyFile пішімінде сақталады

- File Roller плагині архив атын жасау кезінде strftime үлгілерін қолдана алады

- Юнит-тесттер үшін google test фреймворкін қолдану басталды

- Жаңа «Winter» түстер темасы

- Кодты тазалау

- Жаңа немесе жаңартылған құжаттар: cs, de, el, es

- Жаңа немесе жаңартылған аудармалар: bs, ca, cs, de, es, eu, fi, fr, hu, id, lt, nb, oc, pl, pt, pt_BR, ro, sk, sl, sr, sl@latin, sv, tr

Басқа өзгерістер:

- Қалқымалы мәзір мен пайдаланушы әрекеттерінен «Буманы ашу» командасы өшірілді

1.4.9

2016-09-18

Қателерді түзету:

- bgo#764306 түзетілді (Жолдардағы емле қателері мен қате сөздер, Anders Jonsson-ға рақмет)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, de, es, hu, hu, hu, id, pl, pt, ro, sk, sr, sr@latin, sv

- Жаңа немесе жаңартылған құжаттар: cs, de, es

1.4.8

2016-03-14

Қателерді түзету:

- bgo#761580 мәселесі түзетілді (gcc6 -Werror=format-security қолдауы, Mamoru Tasaka-ға рақмет)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, de, pl, pt, pt_BR, oc

- Жаңа немесе жаңартылған құжаттар: cs, de

1.4.7

2015-05-30

Қателерді түзету:

- bgo#745454 мәселесі түзетілді (Файлдарды іздегеннен кейінгі сегменттеу қатесі, Mamoru Tasaka-ға рақмет)

- bgo#749869 мәселесі түзетілді (Екінші рет іздегендегі сегменттеу қатесі, Mamoru Tasaka-ға рақмет)

- bgo#734032 мәселесі түзетілді (.png файлын шерткенде қате MIME түріне қарайтын, Mamoru Tasaka-ға рақмет)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: co

- Жаңа немесе жаңартылған құжаттар: cs

1.4.6

2015-05-19

Қателерді түзету:

- bgo#748869 мәселесі түзетілді (Қатарынан екі рет іздегендегі критикалық қате)

- bgo#746003 мәселесі түзетілді («оғаш» uid-і бар ftp-бумада қасиеттер сұхбат терезесін ашқандағы критикалық қате)

- bgo#747771 мәселесі түзетілді (appdata.xml файлы аударылмайтын, Dominique Leuenberger-ге рақмет)

- bgo#653573 мәселесі түзетілді (Парольдер ./gnome-commander/connections ішінде ашық мәтін түрінде сақталатын)

- bgo#742752 мәселесі түзетілді (Опциялар сұхбат терезесінің өлшемі өзгеретін болды және айналдыру жолақтары қосылды)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: bs, el, pt

- Жаңа немесе жаңартылған құжаттар: cs, el

1.4.5

2015-01-24

Қателерді түзету:

- bgo#741316 мәселесі түзетілді (Appdata POT ішінде жоқ)

- bgo#742716 мәселесі түзетілді (--start-right-dir опциясы gnome-commander-ді жауып тастайтын)

- Gentoo ebuild-тен python-2.6 қолдауы өшірілді

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, hu, id, sr, sr@latin

- Жаңа немесе жаңартылған құжаттар: cs

1.4.4

2014-11-11

Қателерді түзету:

- bgo#571495 мәселесі түзетілді (gnome_execute_shell-ден g_spawn_async-қа көшу)

- bgo#737088 мәселесі түзетілді (gnome-terminal-дан басқа пайдаланушы терминалдарын қолдау)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, de, eu, fi, id, sr, sr@latin

- Жаңа немесе жаңартылған құжаттар: cs, es

1.4.3

2014-06-22

Қателерді түзету:

- bgo#731557 мәселесі түзетілді (Тышқанмен сүйреп апарғанда және файл бұрыннан бар болғандағы критикалық қате)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, de, eu, fi

- Жаңа немесе жаңартылған құжаттар: cs

1.4.2

2014-05-23

Қателерді түзету:

- Gentoo-ның #509574 мәселесі түзетілді (ebuild-те python-r1-ден python-single-r1-ге ауыстырылды)

- bgo#367949 мәселесі түзетілді (Бумаларды жылжытуға арналған async_xfer_callback нәтижелері түзетілді)

- bgo#598161 мәселесі түзетілді (Ішкі қарау құралында TAB таңбалары бар жолдарда мәтінді таңдау)

- Ішкі қарау құралында мәтінді таңдау енді TAB таңбалары бар жолдарда жұмыс істейді (Jan Vleeshouwers-ке рақмет)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, el, sr, sr@latin

1.4.1

2014-04-05

Қателерді түзету:

- bgo#641842 мәселесі түзетілді (poppler ішкі API орнына poppler-glib қолдану)

- bgo#726682 мәселесі түзетілді (vtable-ға анықталмаған сілтемені түзету патчы)

- Құжат метадеректерінде utf8 кодталған жасау және өзгерту күндерін қолдау

- «Іздеу», «Жылдам іздеу» және «Сүзгіні іске қосу» тармақтары «Түзету» мәзірінен «Файл» мәзіріне ауыстырылды

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған аудармалар: cs, es, fr , id , pt_BR, sl

- Жаңа немесе жаңартылған құжаттар: cs, es

1.4.0

2014-03-17

Қателерді түзету:

- bgo#377463 мәселесі түзетілді (mkdir сұхбат терезесі фокусты жоғалтады)

- bgo#492479 мәселесі түзетілді (файлды алмастыру сұрауы файлдардың күні мен өлшемін көрсетуі тиіс)

- bgo#617140 мәселесі түзетілді (GNOME мақсаты: тікелей қол жеткізудің орнына аксессор функцияларын қолдану)

- bgo#632064, bgo#632208, bgo#633107, bgo#633167, bgo#633331, bgo#634972, bgo#637873, bgo#638059 мәселелері түзетілді (gnome-commander-help.master.po файлындағы қателер)

- bgo#660043 мәселесі түзетілді (ALT+DOWN жарлығы құжатталмаған)

- bgo#660268 мәселесі түзетілді (сессиялар арасында бума тарихын есте сақтау)

- bgo#667080 мәселесі түзетілді (өшіруді растау бастапқыда ИӘ/ОК күйінде)

- Ubuntu #117226 мәселесі түзетілді (бетбелгілерді біріктіру)

- Оң жақ тышқан батырмасымен таңдаудың дәл болмау мәселесі түзетілді

- bgo#696227 мәселесі түзетілді (libgsf >= 1.14.26 анықтау және қолдау)

- bgo#684527 мәселесі түзетілді (Жолдардағы емле қателері түзетілді)

- bgo#660063 мәселесі түзетілді (ALT+DOWN тіркесімін пайдаланушы анықтайтындай ету: view.dir_history)

- bgo#642178 мәселесі түзетілді (алдыңғы/келесі батырмалар үшін беттерді құлыптау)

Жаңа мүмкіндіктер:

- Беттерді қолдау

- Жаңартылған бетбелгілер сұхбат терезесі

- Жаңартылған файл қасиеттерінің сұхбат терезесі

- Бір даналы режим

- Жаңа түстер темасы: green tiger

- Пайдаланушы анықтаған LS_COLORS түстері

- Тек файлдарды таңдау/таңдаудан бас тарту мүмкіндігі

- Файлды кеңейтілген атын өзгертуде автоматты ен есептегіштерін қолдау

- Жылдам іздеудегі файл атын сәйкестендіру жақсартылды

- Терминалды әкімші құқықтарымен ашу

- Drag & drop әрекеттерін растау сұрауы

- Ішкі қарау құралында көшіруге арналған оң жақ шерту контекстік мәзірі

- Конфигурациялық файлдардың орнын реттеуге арналған --config-dir командалық жол опциясы

- Жылдамдықты арттыруға бағытталған бірнеше жақсартулар, соның ішінде C++ қайта өңделуі мен кодты тазарту

- Жаңа python плагині: 'apply_patch'

- Бұзылған MIME түрінің конфигурациясы алып тасталды

- cvs плагинін қолдау тоқтатылды

- Жаңа немесе жаңартылған құжаттама: cs, de, en, es, el, fr, ru, sl

- Жаңа немесе жаңартылған аудармалар: ca, cs, da, eo, es, eu, fr, hu, it, ja, ko, nb, pl, pt_BR, ro, ru, sl, sr, sr@latin, sv, uk, zh_CN

- Жаңа пернелер тіркесімі:

  - CTRL T Буманы жаңа бетте ашу (ескі Көптік атын өзгерту сайманының тіркесімін алмастырады)

  - CTRL W Ағымдағы бетті жабу

  - CTRL SHIFT W Барлық беттерді жабу

  - CTRL TAB Келесі бетке ауысу

  - CTRL SHIFT TAB Алдыңғы бетке ауысу

  - SUPER 1 Сол жақ байланысты өзгерту

  - SUPER 2 Оң жақ байланысты өзгерту

1.2.8.17

2014-01-12

Қателерді түзету:

- bgo#721132 мәселесі түзетілді (-Werror=format-security арқылы құрастыруды қолдау)

- Бастапқы кодта GCMD үй парағының орны жаңартылды

Жаңа мүмкіндіктер:

- Жаңартылған аудармалар: es, id, pt_BR

1.2.8.16

2013-12-23

Қателерді түзету:

- gcc-4.7 құрастыру мәселесі түзетілді

- bgo#705724 мәселесі түзетілді (poppler >= 0.24)

- bgo#676303 мәселесі түзетілді (poppler >= 0.20.0)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған құжаттама: de, el, fr

- Жаңартылған аудармалар: da, de, el, fr, hu, id, pt_br, ru, sl, th

1.2.8.15

2011-12-06

Қателерді түзету:

- #65372 мәселесі түзетілді (gcmd-1.2.8 құжаттамасындағы жетіспейтін сілтемелер)

Жаңа мүмкіндіктер:

- Жаңа немесе жаңартылған құжаттама: cs, de, es, fr

- Жаңартылған аудармалар: eo, es, sl

1.2.8.14

2011-10-04

Қателерді түзету:

- #621756 мәселесі түзетілді (ftp үшін арнайы порт сақталмайды)

- #657780 мәселесі түзетілді (nl.po файлындағы қателер)

1.2.8.13

2011-08-06

Қателерді түзету:

- #646871 мәселесі түзетілді (FTP-ге қосылғанда файл қасиеттеріндегі апаттық тоқтау)

1.2.8.12

2011-06-15

Қателерді түзету:

- #618214 мәселесі түзетілді (іздеуден бас тартқан кездегі апаттық тоқтау)

- #640387 мәселесі түзетілді (ескірген python модульдері үшін кезекті түзету: md5, sha1)

- #649375 мәселесі түзетілді (жаңадан қосылған бетбелгілердің жаңартылмауы)

- mkdir рұқсаттарына қатысты мәселе түзетілді

1.2.8.11

2011-05-01

Қателерді түзету:

- #639243 мәселесі түзетілді (F2 жарлығына арналған қате құжаттама)

- #640387 мәселесі түзетілді (ескірген python модульдерін қолдану: md5, sha1)

- GNOME Commander-ді әкімші ретінде іске қосу мәселесі түзетілді

- Дәстүрлі қытай аудармасына қатысты мәселе түзетілді

Жаңа мүмкіндіктер:

- Тышқанның артқа/алға батырмаларын қолдау

1.2.8.10

2011-01-15

Қателерді түзету:

- #448941 мәселесі түзетілді (негізгі терезеде сандық пернетақта көрсеткілері жұмыс істемейді)

- #620275 мәселесі түзетілді (толық жолды және файл атын алмасу буферіне көшіруге арналған мәзір элементін қосу)

- #637501 мәселесі түзетілді (advrename: метатегтердің контекстік мәзірі қате элементтерді көрсетеді)

- Көшіру/жылжыту сұхбат терезелерінде жол/негізгі атау/файл атауын таңдауды ауыстыру мәселесі түзетілді

- Құрылғылар үшін жолды іздеу мәселесі түзетілді

- Жаңартылған аудармалар: de

1.2.8.9

2010-12-03

Қателерді түзету:

- #352024 мәселесі түзетілді (F10 пернесі жұмыс істемейді)

- #631243 мәселесі түзетілді (advrename $c(width) регрессиясы)

Жаңа мүмкіндіктер:

- Жылдам іздеуде қоршам стиліндегі шаблондарды қолдау

1.2.8.8

2010-09-09

Қателерді түзету:

- #610764 мәселесі түзетілді (мәзір элементі белгіленген күйде қалмайды)

- #626469 мәселесі түзетілді (басқа su-тәрізді бағдарламаларды қолдауды қосу: xdg-su, gnomesu)

- Бұзылған испан аудармасына қатысты мәселе түзетілді

1.2.8.7

2010-07-27

Қателерді түзету:

- #540438 мәселесі түзетілді (егер meld орындалмаса, графикалық интерфейсте хабарлама шықпайды)

- #616367 мәселесі түзетілді (іске қосылғаннан кейінгі «Файл табылмады» сұхбат терезесі)

- #620650 мәселесі түзетілді (load_fav_apps() функциясындағы буфердің асып кетуі)

- #622456 мәселесі түзетілді (плагиндерді ортақ кітапхана объектілері ретінде құрастырмау)

- Таңдаулы бағдарламалар мен құрылғылар үшін опцияларды түзету мәселесі түзетілді

1.2.8.6

2010-06-01

Қателерді түзету:

- #600292, #612685 мәселелері түзетілді (бетбелгіні екі рет шерткендегі апаттық тоқтаулар)

- #602795 мәселесі түзетілді (файл мазмұны бойынша іздеу)

- #609912 мәселесі түзетілді (--as-needed опциясымен құрастыру қатесі)

- #616891 мәселесі түзетілді (RHEL 5.5 жүйесіндегі құрастыру қатесі)

Жаңа мүмкіндіктер:

- Жаңа аудармалар: ko

1.2.8.5

2010-02-13

Қателерді түзету:

- #604558 мәселесі түзетілді (курсор жоғалды немесе қате орынға қойылды)

- #604904 мәселесі түзетілді (OpenSolaris жүйесіндегі құрастыру қатесі)

- #609342 мәселесі түзетілді ('..' үшін mtime көрсетпеу)

- Windows желісіне байланыстарды түзету мәселесі түзетілді

- Болмайтын пайдаланушы әрекеттеріне қатысты мәселе түзетілді

1.2.8.4

2009-12-03

Қателерді түзету:

- #602916 мәселесі түзетілді (жұмыс істемейтін мәзір элементі)

- #603301 мәселесі түзетілді (символдық сілтемені жасаудан ESC арқылы бас тартқандағы апаттық тоқтау)

- Ubuntu #369818 мәселесі түзетілді (панельде өлшемі бойынша қате сұрыптау)

- Көшіру/жылжыту сұхбат терезесінде сандық пернетақтадағы enter жұмыс істемеу мәселесі түзетілді

- Құрылғылар тізімі жасырын болғанда ALT+1/2 басылғаннан кейінгі пернетақтаның ілініп қалу мәселесі түзетілді

1.2.8.3

2009-10-28

Қателерді түзету:

- #541891 мәселесі түзетілді (файлды кеңейтілген атын өзгерту сайманында атында % таңбасы бар файлдар)

- #581645 мәселесі түзетілді (ыңғайсыз жылдам іздеу)

- #596768 мәселесі түзетілді (python үшін құрастыру ескертулері)

- #596973 мәселесі түзетілді (құжаттаманы құрастыру қатесі)

- #597144 мәселесі түзетілді (pclose шақыруының жетіспеуі)

- #597233 мәселесі түзетілді (құжаттама аудармаларын тексеру)

- #597890 мәселесі түзетілді (meld бағдарламасына қате аргументтердің берілуі)

- #598278 мәселесі түзетілді (жадының кемуі)

1.2.8.2

2009-09-22

Қателерді түзету:

- #591944 мәселесі түзетілді (chmod әрекетінен кейін рұқсаттар 000 болып орнатылады)

- #595097 мәселесі түзетілді (poppler >= 0.11.3 үшін құрастыру қатесі)

- Debian #438884 мәселесі түзетілді (CTRL+U арқылы панельдерді ауыстырғандағы қате құрылғы белгісі)

- Символдық сілтеменің атын өзгерткеннен кейінгі файл таңбашасының бұзылу мәселесі түзетілді

1.2.8.1

2009-08-10

Қателерді түзету:

- #587325 мәселесі түзетілді (таза chroot ортасындағы апаттық тоқтау)

- #589108 мәселесі түзетілді (openSUSE жүйесіндегі құрастыру қатесі)

- #591206 мәселесі түзетілді (FreeBSD жүйесінде sysconf() кезіндегі апаттық тоқтау)

- Файлды кеңейтілген атын өзгерту үлгілеріндегі $c(16) есептегішінің пішімделу мәселесі түзетілді

1.2.8

2009-06-29

Қателерді түзету:

- #375357 мәселесі түзетілді (бума қасиеттерін есептеуден бас тартқандағы апаттық тоқтау)

- #536446 мәселесі түзетілді (орнында атын өзгерткенде файл атына фокус қойылмауы)

- #539812 мәселесі түзетілді (файлдарды өшіргендегі апаттық тоқтау: бұзылған it.po)

- #548947 мәселесі түзетілді (UTF8 емес локальдағы күн мәселесі)

- #548948 мәселесі түзетілді (үй бумасының атында UTF8 емес таңбалар болғандағы апаттық тоқтау)

- #548961 мәселесі түзетілді (атын өзгерткенде немесе жылдам іздегенде енгізу әдісін қолдау)

- #554586 мәселесі түзетілді (AC_PROG_CXX макросының мәселесі)

- #554598 мәселесі түзетілді (GNOME мақсаты: LINGUAS)

- #556664 мәселесі түзетілді (тіркелген құрылғылар үшін бетбелгілерді сақтау мүмкін емес)

- #567404 мәселесі түзетілді (ішкі бумада INSERT басылғандағы апаттық тоқтау)

- #556836 мәселесі түзетілді (панельдер арасында ауысқандағы панельдің айналуы)

- #567506 мәселесі түзетілді (пайдаланушылары көп жүйелердің баяу іске қосылуы)

- #570727 мәселесі түзетілді (ескірген gnome_url_show қолданылуы)

- #571239 мәселесі түзетілді (ескірген GnomeColorPicker құралын GtkColorButton батырмасымен алмастыру)

- #571247 мәселесі түзетілді (ескірген GnomePixmap құралын GtkImage кескінімен алмастыру)

- #571558 мәселесі түзетілді (ескірген GNOME_STOCK_* батырмаларын GTK_STOCK_* батырмаларымен алмастыру)

- #576174 мәселесі түзетілді (en_US.utf8 емес локальда файл атын регистрді ескермей сұрыптау)

- #579633 мәселесі түзетілді (gksudo арқылы әкімші құқықтарына қол жеткізу)

- #583135 мәселесі түзетілді (іздеу сұхбат терезесіндегі сөндірілген «Өту» батырмасы)

- #583711 мәселесі түзетілді (бетбелгі сұхбат терезесінде ESC басылғандағы апаттық тоқтау)

- #584727 мәселесі түзетілді (файлдың контекстік мәзірінің қате орналасуы)

- Горизонталды режимде панельдердің бірдей өлшемін орнату мәселесі түзетілді

- Файл атын өзгерткеннен кейін MIME ақпаратын жаңарту мәселесі түзетілді

Жаңа мүмкіндіктер:

- Файлды кеңейтілген атын өзгерту үлгілерінде PDF метатегтерін қолдау

- Файлды кеңейтілген атын өзгерту сайманы жаңартылды (тұрақты өрнектердің кері сілтемелері ('\number'), профильдер, бас/кіші әріпке түрлендіру, бос орындарды қиып жіберу және т.б.)

- Ішкі қарау құралында метадеректер тегтерін қолдау

- Бір рет шертумен ашу режимін қолдау

- Түстер темаларында жолдардың балама фонын қолдау

- Жаңа түстер темасы: cafezinho

- Жаңа немесе жаңартылған құжаттама: de, en, es

- Жаңа немесе жаңартылған аудармалар: ar, cs, de, es, eu, fr, it, ja, pl, pt_BR, sl, sv

- Жаңа пернелер тіркесімі:

  - CTRL E Командалық жолдың тарих тізімін ашу

- Ішкі қарау құралының жаңа пернелер тіркесімі:

  - T Метадеректер тегтерін көрсету (ескі E пернесін алмастырады)

  - ALT ENTER Метадеректер тегтерін көрсету

1.2.7

2008-07-28

Қателерді түзету:

- #522430 мәселесі түзетілді (бас әріптен басталатын файлдарды жылдам іздеу)

- #532615 мәселесі түзетілді (файл әрекеттерінің қате файлда орындалуы)

- #538806 мәселесі түзетілді (түбірлік бумадағы жылдам іздеу)

- #539753 мәселесі түзетілді (Solaris жүйесіндегі құрастыру қатесі)

- #541404 мәселесі түзетілді (хост атауларын жаңарту)

- Файлды кеңейтілген атын өзгерту сайманында файлдарды сұрыптау мәселесі түзетілді

- Құрастыру түзетулері

Жаңа мүмкіндіктер:

- Барлық GnomeVFS желілік протоколдарын қолдау (соның ішінде SSH+FTP және WebDAV)

- Кез келген бағдарламалар үшін пайдаланушы анықтаған жарлықтар

- Саймандар панеліндегі батырмада ALT шерту арқылы таңдалған URI-ларды алмасу буферіне көшіру

- Жаңартылған іздеу сұхбат терезесі

- Жаңартылған тасымалдау барысының сұхбат терезесі

- Анықтама құжаттамасы жаңартылды

- Жаңа немесе жаңартылған аудармалар: cs, de, es, fr, it, ja, oc, pl, pt_BR

1.2.6

2008-06-01

Қателерді түзету:

- #392959 мәселесі түзетілді (пайдаланушыны динамикалық түрде әкімшіге ауыстыру)

- #496150 мәселесі түзетілді (тышқан дөңгелегімен айналдыру)

- #499761 мәселесі түзетілді (баған сұрыпталғанда іздеу терезесінің тазаруы)

- #499764 мәселесі түзетілді (бірнеше элементті таңдау мәселесі)

- UTF-8 кодтауындағы файл атауларын сұрыптау мәселесі түзетілді

- Файлдарды символдық сілтемесі бар бумаларға көшіру мәселесі түзетілді

- Тіркелген құрылғыларға көшіру/жылжыту кезінде файлдың толық жолын өңдеу мәселесі түзетілді

Жаңа мүмкіндіктер:

- GNOME Commander-ді әкімші құқықтарымен іске қосуға арналған әкімші режимі

- Пернетақта жарлықтарын басқаруға арналған графикалық интерфейс

- Ағымдағы орынды Nautilus файлдар басқарушысында ашу

- Көптік-атын-өзгерту-сайманы - кездейсоқ он алтылық сандар үшін жаңа $x және $X толтырғыштары

- Жаңартылған іздеу сұхбат терезесі

- <super>, <hyper> және <meta> модификаторларын қолдау (GTK+ 2.10 бастап)

- Анықтама құжаттамасы жаңартылды

- Жаңа немесе жаңартылған аудармалар: cs, de, en_GB, es, eu, fi, fr, hu, it, oc, pl, sl

- Жаңа пернелер тіркесімі:

  - SUPER F Файлдарды іздеу

1.2.5

2008-02-29

Қателерді түзету:

- #345314 мәселесі түзетілді (атын өзгерткенде курсордың файлда қалмауы)

- #353889 мәселесі түзетілді (сәтсіз жылжытудан (F6) кейінгі файлдардың жоғалуы)

- #346286, #424447, #447882, #467058 мәселелері түзетілді (атын өзгерту сайманында тұрақты өрнектерді қолданғандағы апаттық тоқтау)

- #365227 және #446361 мәселелері түзетілді (Solaris жүйесіндегі құрастыру мәселелері)

- #424159 мәселесі түзетілді (бағандарды сұрыптау мәселесі)

- #434545 мәселесі түзетілді (Debian #421480: құрылғы таңбашаларының ӨТЕ ҮЛКЕН болуы)

- #447415 мәселесі түзетілді (орындалатын файлдарды іске қосу мүмкін еместігі)

- #448942 мәселесі түзетілді (SHIFT+ENTER: команданы бөлек терминалда іске қосу)

- #449137 мәселесі түзетілді (аты өзгертілген бумаларға аты бойынша қол жеткізу мүмкін еместігі)

- #468685 мәселесі түзетілді (python модуліндегі апаттық тоқтау)

- #490431 мәселесі түзетілді (атында '%' таңбасы бар файлдарды қарау)

- #508565 мәселесі түзетілді (файлды кеңейтілген атын өзгерту сайманында utf-8 мазмұнын қате өңдеу)

- #510567 мәселесі түзетілді (буманы өшіргендегі сәтсіз assert)

- ~/dir жасау кезіндегі мәселе түзетілді

- Ішкі қарау құралының күй жолағын жаңарту мәселесі түзетілді

- SMB ортақ ресурсының ішінде абсолютті жолмен бума жасағандағы апаттық тоқтау түзетілді

- Атында % таңбасы бар файлды жылжытқандағы апаттық тоқтау түзетілді

- Файл панелінде курсордың кездейсоқ жоғалу мәселесі түзетілді

- Атында бос орыны бар құрылғыларды тіркеу мәселесі түзетілді

- Файлды кеңейтілген атын өзгерту үлгілерінің тарихына қатысты мәселе түзетілді

- Құрастыру түзетулері

Жаңа мүмкіндіктер:

- Файлды кеңейтілген атын өзгерту үлгілерінде APE, FLAC және Vorbis метатегтерін қолдау

- Файлды кеңейтілген атын өзгерту үлгілерінде Exif makernotes метатегтерін қолдау

- Файлды кеңейтілген атын өзгерту үлгілерінде файл метатегтерін қолдау

- Пайдаланушының қауіпсіздік куәліктері үшін GNOME аутентификация менеджерін пайдалану

- Файл қасиеттері сұхбат терезесіндегі метадеректер тегтері

- Терминалды ағымдағы бумада ашу

- Үй, SMB және FTP орындарына арналған GNOME темасының бастапқы таңбашалары

- Пайдаланушы анықтаған бетбелгілер жарлықтары

- Файлдарды электрондық пошта немесе жедел хабар алмасу құралы арқылы жіберу (nautilus-sendto көмегімен)

- Анықтама құжаттамасы жаңартылды

- Жаңа немесе жаңартылған аудармалар: ar, bg, cs, de, dz, eo, es, eu, fr, oc, pl, pt_BR, ro, sl, sv

- Жаңа пернелер тіркесімі:

  - CTRL СОЛ ЖАҚ/ОҢ ЖАҚ Ағымдағы жұмыс бумасын белсенді файлдар тізімінен белсенді емес файлдар тізіміне көшіру

  - CTRL N Қашықтағы серверге жаңа байланыс орнату (ескі CTRL G орнына)

1.2.4

2007-06-09

Қателерді түзету:

- Ішкі қарап шығу құралымен бумаларды ашу мәселесі түзетілді

- GNOME Commander көмегімен бумаларды түзету мәселесі түзетілді

- #351952 мәселесі түзетілді (мазмұны бойынша іздеу кезіндегі құлау)

- #352253 мәселесі түзетілді (қарап шығу құралының айналдыру режимі)

- #360175 мәселесі түзетілді (% белгісі бар бумаға кіру кезіндегі құлау)

- #371948 және #388970 мәселелері түзетілді (файл жолы экрандалмаған)

- #412162 мәселесі түзетілді (--enable-python=no параметрімен құрастыру)

- Құрастыру түзетулері

Жаңа мүмкіндіктер:

- Python плагиндерін қолдау

- Жаңа python плагиндері:

  - `md5sum` MD5 (128-биттік) бақылау сомасын жасау

  - `sha1sum` SHA-1 (160-биттік) бақылау сомасын жасау

- Файлдардың атын кеңейтілген өзгерту үлгілеріндегі OLE және ODF метатегтерін қолдау

- Пайдаланушы анықтаған жарлықтар

- SMB аутентификациясы

- Таңдалған ішкі бумалардағы файлдардың жалпы өлшемін көрсету

- Алдыңғы жұмыс бумасына ауысу үшін 'cd -' пайдалану

- Diff сайманын интуитивті пайдалану

- Бумаларды синхрондау

- 'mkdir -p' стилінде бумаларды жасау

- Анықтама құжаттамасы жаңартылды

- Жаңа немесе жаңартылған аудармалар: ar, bg, cs, dz, en_GB, fr, it, oc, pl, sl, sv

- Жаңа пернелер тіркесімі:

  - CTRL\ Түбірлік бумаға өту

  - CTRL` Үй бумасына өту

  - CTRL 5 MD5 (128-биттік) бақылау сомасын жасау

  - CTRL SHIFT C Таңдалған файл атауларын алмасу буферіне көшіру

1.2.3

2006-12-11

Қателерді түзету:

- #384752 мәселесі түзетілді (жаңа бумалар үшін қате рұқсаттар)

1.2.2

2006-12-11

Қателерді түзету:

- Бірнеше файлды таңдау кезінде символдық сілтемені жасау мәселесі түзетілді

- Файл өлшемінің цифрларын топтастыру мәселесі түзетілді

- SMB UNC өңдеу мәселесі түзетілді

- #367744 мәселесі түзетілді (файл аты дұрыс көрсетілмеген)

- #374282 мәселесі түзетілді (рекурсивті символдық сілтемелермен іздеу)

- #377706 мәселесі түзетілді (файлдарды SHIFT+PGDN арқылы таңдау)

Жаңа мүмкіндіктер:

- Файлдардың атын кеңейтілген өзгерту үлгілеріндегі ID3 метатегтерін қолдау

- Анықтама құжаттамасы жаңартылды

- Жаңа немесе жаңартылған аудармалар: ar, en_GB, es, fi, it, pl, sv

- Жаңа пернелер тіркесімі:

  - CTRL SHIFT== Екі панельді теңестіру

1.2.1

2006-10-16

Қателерді түзету:

- Scrollkeeper дерекқорын жаңарту мәселесі түзетілді

- Командалық жолдың бума индикаторы бос болғандағы құлауды түзету

- Chown немесе chmod командаларынан кейін жаңарту мәселесі түзетілді

- #333898 мәселесі түзетілді (desktop файлындағы ескірген белгіше жұрнағы)

- #347561 мәселесі түзетілді (плагин бумасы қате көрсетілген)

- #347817 мәселесі түзетілді (Makefile жинақтаушы туларын қате пайдалану)

Жаңа мүмкіндіктер:

- FileRoller плагині арқылы архивтерді (gz, bz2, zip, lha, rar, jar, 7-zip, zoo, deb, rpm) қолдау

- Файлдардың атын кеңейтілген өзгерту үлгілеріне арналған жаңа python стиліндегі индекстер

- Файлдардың атын кеңейтілген өзгерту үлгілеріндегі Exif және IPTC метатегтерін қолдау

- Advrename үлгісінің толтырғыштарына жылдам қол жеткізу

- Орында тұрып атын өзгерту (SHIFT+F6)

- Қолданба мәзірлері жаңартылды

- Ішкі қарап шығу құралы үшін «Табу» мүмкіндігі

- Ішкі қарап шығу құралының жаңа таңбашасы

- Анықтама құжаттамасы жаңартылды

- Жаңа немесе жаңартылған аудармалар: ca, cs, de, el, en_GB, es, eu, fi, hu, it, ne, pl, ru, sv, vi

- Жаңа пернелер тіркесімі:

  - CTRL SHIFT H Жасырын файлдарды көрсетуді қосу/сөндіру

1.2.0

2006-05-12

Қателерді түзету:

- #171051 мәселесі түзетілді (болмайтын жол бойынша іздеу кезіндегі құлау)

- Gnome мәзірінде жазбаның болмау мәселесі түзетілді

- SMB байланыстарын қарау кезіндегі құлау түзетілді

- #309877 мәселесі түзетілді (горизонталды айналдыру кезіндегі біртүрлі артефактілер)

- #332258 мәселесі түзетілді (сол/оң жақ бастапқы бума параметрі)

- #332261 мәселесі түзетілді (configure/makefiles кезінде exec_prefix дұрыс өңделмеді)

- #336649 мәселесі түзетілді (рұқсат сандарын көрсету)

- Advrename құралында дұрыс емес немесе сәйкес келмейтін тұрақты өрнектерді пайдалану кезіндегі құлау мәселесі түзетілді

Жаңа мүмкіндіктер:

- Тіркелген томдарды бақылау

- Ішкі қарап шығу құралы қайта жазылды

- Ішкі қарап шығу құралына арналған сыртқы саймандар және Exif/IPTC тегтерін қарау құралы

- Ішкі қарап шығу құралы үшін масштабтау

- Ішкі қарап шығу құралы үшін мәтінді таңдау

- Саймандық панель жаймасы жаңартылды

- Көшіру және жылжыту кезінде үстінен жазуды басқару опциялары

- Саймандық панель батырмасын SHIFT+шерту арқылы таңдалған файлдардың толық жолдарын көшіру

- Бағандарды сұрыптау кілтінің өзгеруін жақсырақ өңдеу

- Құжаттаманың бастапқы құрылымы

- Жаңа немесе жаңартылған аудармалар: de, es, eu, hu, pl, ro, ru, sl, sv, vi

- Жаңа пернелер тіркесімі:

  - SHIFT F3 Ішкі қарап шығу құралы

  - ALT F3 Сыртқы қарап шығу құралы

  - ALT+әріптер Жылдам іздеу

  - CTRL SHIFT A Барлық файлдардан таңдауды алып тастау

1.1.7

2006-02-12

Қателерді түзету:

- Ағымдағы таңдалған файлдарды көшіру кезіндегі құлау түзетілді

- Файл атын экрандау түзетілді

- Тым жылдам терген кездегі CTRL+ALT+әріп комбинациясының нашар жауап беруі түзетілді

- Debian-ның #288933 қатесі түзетілді (amd64/gcc-4.0 жинақтау қателері)

- #138933 мәселесі түзетілді (буманы өзінің ішіне сүйреп апарғандағы шексіз рекурсия)

- FTP серверлеріне қосылған кезде және supermount режимінде ажырату батырмасының қате жұмыс істеуі түзетілді

- FAM-сыз атын өзгерткеннен кейінгі жаңарту түзетілді

Жаңа мүмкіндіктер:

- GNOME Commander-дің жаңа логотипі

- Ішкі F3 қарап шығу құралы қосылды

- Таңдалған файл атауларын алмасу буферіне көшіру

- CTRL+SHIFT+ENTER пернесін басқан кезде таңдалған файлдың толық жолын командалық жолға кірістіру

- Атын топтап өзгерту сайманы - жоғарғы аталық бума үшін жаңа $g толтырғышы

- Саймандық панель батырмалары (қиып алу, көшіру және кірістіру) енді ағымдағы күйге байланысты белсенді болады

- Бетбелгілерді басқару сұхбат терезесіне енді бетбелгілер жарлығы арқылы да қол жеткізуге болады

- Жаңа немесе жаңартылған аудармалар: el, en_CA, en_GB, eu, ga, hu, nb, ne, no, pa, pt_BR, rw, uk, zh_TW

- Жаңа пернелер тіркесімі:

  - CTRL M Атын топтап өзгерту сайманы

  - CTRL SHIFT. Ағымдағы жұмыс бумасын белсенді файлдар тізімінен белсенді емес файлдар тізіміне көшіру

  - CTRL== Барлық файлдарды таңдау

  - CTRL— Барлық файлдардан таңдауды алып тастау

  - == Файлдарды үлгі бойынша таңдау

1.1.6

2004-01-20

Қателерді түзету:

- Тарих бойынша артқа қайтып, басқа бумаға кірген кездегі құлау түзетілді

- FTP-ге жылдам қосылу мәселелері түзетілді

- Жылдам іздеу функциясын енді бас әріптерді теру арқылы да іске қосуға болады

- Командалық жол жасырулы болғанда, жылдам іздеуді белсендіру үшін енді CTRL+ALT пайдалану қажет емес

Жаңа мүмкіндіктер:

- CVS-плагині файлдарды салыстыру және логтарды қарау үшін қолданылатындай етіп жаңартылды

- Тышқан курсорымен бағытталған кезде бума индикаторында асты сызылған мәтіннің орнына жуан мәтінді пайдалану

- Ағымдағы жұмыс бумасының белгісін енді таңдауға болады (командалық жолдың сол жағындағы)

- «Орынды сақтау» мәзір элементі өшірілді. Өлшемі мен орны енді автоматты түрде сақталады

- Бумалар тарихын шығару үшін бума индикаторына батырма қосылды

- Үлгі бойынша таңдау және таңдауды алып тастау сұхбат терезелеріне тарих қосылды

- Сұрыптау бағаны мен бағыты енді есте сақталады

- Жаңа пернелер тіркесімі:

  - F2 Атын өзгерту сұхбат терезесін ашу

  - SHIFT+F10 Файлдың контексттік мәзірін шығару (Windows мәзір пернесі де жұмыс істейді)

  - CTRL. Ағымдағы жұмыс бумасын белсенді емес файлдар тізімінен белсенді файлдар тізіміне көшіру

1.1.5

2004-01-12

Қателерді түзету:

- Кеңейту тек файл атымен бірге көрсетілсе, кеңейту бағаны енді жасырылады

- Файлдарды файлдар тізімі арқылы сүйреген кездегі қажетсіз қайта сызулар түзетілді

- Байланыс үзілген кезде FTP байланыстарының саймандық панельден жоғалмау мәселесі түзетілді

- Бағдарлама енді жұмыс үстелінің ортасына орналасуға тырыспайды

- Бумалардың атын өзгерту кезіндегі мәселелер түзетілді

Жаңа мүмкіндіктер:

- Әрбір файл тізімінің үстіндегі бума индикаторын енді бума құрылымы бойынша жоғары қарай өту үшін пайдалануға болады

1.1.4

2003-11-24

Қателерді түзету:

- SHIFT+тышқан батырмасы арқылы бірнеше файлды таңдау кезіндегі қате түзетілді

- Imon ядролық патчы орнатылған машиналарда файлдар тізімінің артық жаңартылуы тоқтатылды

- Файлдардың контексттік мәзірі тазартылды

- Аталық бума атында бос орындар болғанда, оған өту кезіндегі «Файл табылмады» қатесі түзетілді

- Тасымалдау операциясын болдырмау кезіндегі ықтимал асинхронды қате түзетілді

- Опциялар сұхбат терезесінде жайма беті өңделді және түстер беті өшірілді

- Плагиндер жүйесі жақсартылды

1.1.3

2003-11-14

Қателерді түзету:

- FAM жылдам орнатылған машиналарда файлдарды жылжыту кезіндегі құлау түзетілді. Бұл GNOME Commander-дің бір файлды тізімнен екі рет өшіруге тырысуына әкелген болатын

- Тіркелген құрылғылардағы файлдарға қол жеткізу енді жақсырақ жұмыс істеуі тиіс

- Файл аты жоқ құрылғылар енді жоғалып кетпеуі керек

- Бағдарлама жұмысын аяқтағаннан кейін терминал терезесінің ашық қалу мүмкіндігі сенімдірек жұмыс істейтіндей етіп түзетілді

- Жаңа бума тізім қайта жүктелгенше бірнеше рет көрсетілетін қате түзетілді

Жаңа мүмкіндіктер:

- Өшіруді растауды енді сөндіруге болады

- Тіркеу сәтсіз аяқталған кездегі қате туралы хабарламалар жақсартылды

- Файл баптаулары сұхбат терезесі көрсетілген кезде буманың жалпы өлшемін есептеу автоматты түрде басталатын болды

- Сақтық көшірме файлдарына арналған сүзгі қосылды және оған қоса жасырын файлдар сүзгісі жылдам қол жеткізу үшін негізгі мәзірге қосылды

1.1.2

2003-11-07

Қателерді түзету:

- UTF8 емес файл атауларын өңдеу айтарлықтай жақсартылды

- Қауіпті URI жасау тәсілі өшірілді

Жаңа мүмкіндіктер:

- Файл кеңейтулерін көрсетудің үш жолы

1.1.1

2003-11-05

Қателерді түзету:

- Файл кеңейтуін атау бағанында да, кеңейту бағанында да бірдей көрсету тоқтатылды

- Бумаларды шолу кезінде орын алатын құлаулар түзетілді

- Файлдарды көшіру және жылжыту кезіндегі жаңарту мәселелері түзетілді

- Байланыс тізімдері енді әрдайым дұрыс таңдалған байланысты көрсетуі тиіс

- Пернетақта арқылы файлдарды таңдауға қатысты кейбір қателер жойылды

- MIME түрлерін түзету мүмкіндігі түзетілді

Жаңа мүмкіндіктер:

- Файл қасиеттері сұхбат терезесіне бастапқы MIME қолданбасын өзгерту батырмасы қосылды

1.1.0

2003-11-01

Жаңа мүмкіндіктер:

- SMB шолу

- Плагиндер

- Көптеген код бөліктері айтарлықтай қайта жазылды

1.0.1

2003-06-27

Қателерді түзету:

- FAM емес режимінде файлдар тізімін жаңарту жақсартылды

- FTP серверлеріндегі бос бумаларға енді кіруге болады

1.0 | 2003-06-05 | Бұл — 1.0 «тұрақты өндірістік» нұсқасы. Негізінен алдыңғы нұсқадағы кішігірім қателер түзетілді.
0.9.12 | 2003-03-18 | Қателерді түзету
0.9.11 | 2003-03-13 | Advrename сұхбат терезесіне $p қолдауы қосылды. Бұл сізге аталық буманы береді. Буманы өшіру кезінде кейде ол тек тазаланып, бірақ өшірілмейтін қате түзетілді. FTP сессияларында «..» бумасы көрінетіндей етіп түзетілді.

0.9.10

2003-03-24

Бастапқыдан басқа темаларды пайдалану кезіндегі суреттерді жүктеу қатесі түзетілді. Жаңа бетбелгілер мүмкіндігі. Advrename сұхбат терезесіндегі жаңа үлгілер мүмкіндігі. Мәліметтерді tarball ішіндегі doc/advrename.txt файлынан қараңыз. Атын өзгерту қолдауы бар ыңғайлы файл қасиеттері сұхбат терезесі. Файлдарды «..» бумасына сүйреп апару мүмкіндігі қосылды. Саймандық панельді және батырмалар панелін енді жасыруға болады.

0.9.9 | 2003-01-19 | Атын кеңейтілген өзгерту құралы жақсартылды. Жылдам қосылу мүмкіндігі қосылды. Іздеу сұхбат терезесі жақсартылды және ондағы кейбір қателер түзетілді. Төмен ажыратымдылықты бастапқы MIME таңбашалар темасы қосылды. Файлдың контексттік мәзірі қалыптырақ жұмыс істейтін болды.
0.9.8 | 2002-07-16 | Бұл шығарылымдағы жаңалықтар: сүйреп апару (DND) кезіндегі автоайналдыру, жақсартылған жылдам іздеу, тіркеу және ажырату, FAM-сыз файлдар тізімін жаңарту, соңғы кірген бумалар тарихы және т.б.
0.9.7 | 2002-06-07 |
0.9.6 | 2002-04-04 | MIME қолдауы қосылды және қателер түзетілді.
0.9.5 | 2002-03-27 | Кірістірілген терминал қосылды және кейбір қателер түзетілді.
0.9.4 | 2002-03-21 | FAM қолдауы, сүйреп апару (DnD) және т.б. қосылды.
0.9.2 | 2002-03-09 | Тұрақтылық жақсартылды және жадтың жылыстауы азайтылды. CVS ол шынымен жақсы жұмыс істегенше сөндірілді.
0.91-pre1 | 2002-02-06 | Пайдаланушы интерфейсі жақсартылды және басқа да көптеген кішігірім түзетулер жасалды.
0.90-pre1 | 2001-08-02 | GNOME Commander қолданбасының бірінші жарияланған нұсқасы.